//================================================================================
// ANNAAugmentationDisplayWindow. (C) 2012 "Dei" & Nobody
//================================================================================
class ANNAAugmentationDisplayWindow extends CBPAugmentationDisplayWindow;

function PostDrawWindow(GC gc)
{
  if(bVisionActive)
    DrawVisionAugmentation(gc);

  if(Player.Level.NetMode != NM_Standalone)
    DrawMiscStatusMessages(gc);

  if(bDefenseActive)
    DrawDefenseAugmentation(gc);

  if(Player.bSpyDroneActive)
    DrawSpyDroneAugmentation(gc);

  DrawTargetAugmentation(gc);

  gc.SetFont(Font'FontMenuSmall_DS');
  gc.SetTextColor(colHeaderText);
  gc.SetStyle(DSTY_Normal);
  gc.SetTileColor(colBorder);

  if(Player != None && Player.bShowScores)
  {
		if((ANNAScoreBoard(Player.Scoring) == None) && (Player.ScoringType != None))
			Player.Scoring = Player.Spawn(Player.ScoringType, Player);

		if(ANNAScoreBoard(Player.Scoring) != None)
      ANNAScoreBoard(Player.Scoring).ShowScoreboard(gc, width, height);
  }
}