//=============================================================================
// ANNAWeaponLAM. (C) 2012 "Dei" & Nobody
//=============================================================================
/**
  This is a <b>fixed</b> version of the LAM.
  The place and throw bug were removed.
*/
class ANNAWeaponLAM extends WeaponLAM;
/*
replication
{
    reliable if(ROLE < ROLE_Authority)
      servernotify;
} */

/**
  Fixes the grenade place bug for the LAM, generally known as lam-bug
*/
function PlaceGrenade()
{
	local ThrownProjectile gren;
	local float dmgX;
	local PlayerStart ps;

    if(AmmoType==None || AmmoType.AmmoAmount<=0)
	  Destroy();
    else
	{
	gren = ThrownProjectile(spawn(ProjectileClass, Owner,, placeLocation, Rotator(placeNormal)));
	if (gren != None)
	{
		AmmoType.UseAmmo(1);
		if ( AmmoType.AmmoAmount <= 0 )
			bDestroyOnFinish = True;

		gren.PlayAnim('Open');
		gren.PlaySound(gren.MiscSound, SLOT_None, 0.5+FRand()*0.5,, 512, 0.85+FRand()*0.3);
		gren.SetPhysics(PHYS_None);
		gren.bBounce = False;
		gren.bProximityTriggered = True;
		gren.bStuck = True;
		if (placeMover != None)
			gren.SetBase(placeMover);

		// up the damage based on the skill
		// returned value from GetWeaponSkill is negative, so negate it to make it positive
		// dmgX value ranges from 1.0 to 2.4 (max demo skill and max target aug)
		dmgX = -2.0 * GetWeaponSkill() + 1.0;
		gren.Damage *= dmgX;

		// Update ammo count on object belt
		if (DeusExPlayer(Owner) != None)
			DeusExPlayer(Owner).UpdateBeltText(Self);
	}

	if(AmmoType==None || AmmoType.AmmoAmount<=0)
		Destroy();
	}
}

/**
  First the function checks the reloadcount of the grenade to fix the grenade throw bug
  before the actual code is executed.
*/
simulated function bool ClientFire( float value )
{
    //servernotify("clientFire - netmode:"@level.NetMode);
    if(ReloadCount <= 0)
    {
	    ReloadCount=1;
    }

    super.ClientFire(value);
}

/*
event Destroyed()
{
   log(self@"WHY?!?!??!?!?!?!?!?!");
} */


DefaultProperties
{

}
